org.keycloak.dom.saml.v2.protocol

## Class ArtifactResolveType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.ArtifactResolveType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class ArtifactResolveType
      extends RequestAbstractType

  Java class for ArtifactResolveType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ArtifactResolveType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Artifact"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `artifact`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactResolveType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArtifact()` Gets the value of the artifact property.
    `void` | `setArtifact(String value)` Sets the value of the artifact property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### artifact

          protected String artifact

  - ### Constructor Detail

    - #### ArtifactResolveType

          public ArtifactResolveType(String id,
                                     XMLGregorianCalendar instant)

  - ### Method Detail

    - #### getArtifact

          public String getArtifact()

      Gets the value of the artifact property.
      Returns:
        possible object is `String`

    - #### setArtifact

          public void setArtifact(String value)

      Sets the value of the artifact property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.